<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('23','edits','R');    
$_SESSION['cuPages']='acc_grouplist.php';   
$cuPage='acc_grouplist.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='account';
$menuh='Account';
$phead='grolist';
$page='Edit Group';
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php 
if(isset($_POST['update_group'])){
    $grid = remove_junk(escape($_POST['grid']));
	$name = ucwords(remove_junk(escape($_POST['name'])));
    $clsid = remove_junk(escape($_POST['clsid']));
    $description = remove_junk(escape($_POST['description']));
	
	if(isset($_POST['name'])){
	$ducode = mysqli_query($con,"SELECT * FROM tbl_acgroup WHERE name = '$name' AND clsid='$clsid' AND id!='$grid'");
	}
	
	if($ducode->num_rows > 0) {
	save_msg('i','Group name alrady used under selected class! Plz try another');
	echo "<script>window.location='acc_grouplist.php'</script>";
	}else{    
    $sql="UPDATE tbl_acgroup SET clsid='$clsid',name='$name',description='$description' WHERE id='$grid'";    
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));	
    $efid=mysqli_affected_rows($con);    
    if($efid>0){ 
    $act =remove_junk(escape('Account Group name: '.$name));    
    write_activity($aid,'GRO','Account group has been updated',$act);    
    save_msg('s','Data Successfully Update!');
    echo "<script>window.location='acc_grouplist.php'</script>";
    }else{
    save_msg('w','Data Fail to Update!');
    echo "<script>window.location='acc_grouplist.php'</script>";    
    }
	}  
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Edit Account Group</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>  
<form action="acc_groupedit.php" onsubmit="return validate()" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">

<div class="row ">
<div class="col-md-12">
<div class="col-md-3"></div>
<div class="col-md-6">
<?php 
if(isset($_POST['editgro'])){
$ids = $_POST['editgro'];
$sql="SELECT * FROM tbl_acgroup WHERE id='".$ids."' ORDER BY id ASC LIMIT 1";    
$admin=mysqli_query($con,$sql) or die(mysqli_error($con));    
$adm=mysqli_fetch_array($admin);
?>     
<div class="form-group">
<label>Name</label>
<input type="text" name="name" maxlength="35" value="<?php echo $adm['name'];?>" id="name" class="form-control" placeholder="e.g. Current Assets" />
<input type="hidden" maxlength="11" value="<?php echo $adm['id'];?>" class="form-control" name="grid" autocomplete="off" readonly>    
</div>
<div class="form-group">
<label>Select Class</label>
<select class="form-control select2" name="clsid" id="clsid">
<option value="">-Select-</option>
<?php									
$queryd=mysqli_query($con,"SELECT * FROM tbl_aclass ORDER BY id ASC")or die(mysqli_error($con));
while ($rowd=mysqli_fetch_array($queryd)){
?>
<?php if($rowd['id']==$adm['clsid']){ ?>
<option selected value="<?php echo $rowd['id'];?>"><?php echo $rowd['name'];?></option>
<?php }else{?>    
<option value="<?php echo $rowd['id'];?>"><?php echo $rowd['name'];?></option>
<?php } ?> 
<?php } ?>
</select>    
</div>    
<div class="form-group">
<label>Description</label>
<textarea class="form-control" maxlength="250" rows="6" name="description" placeholder="Description"><?php echo $adm['description'];?></textarea>
</div>
<?php } ?>    
</div>    
<div class="col-md-3"></div>    
</div>    
</div>    

</div>
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<input type="submit" name="update_group" id="submit" class="btn btn-flat bg-purple btn-sm " value="Update"/> <a href="acc_grouplist.php" class="btn btn-flat bg-gray  ">Close</a>
</div> 
</div>     
</form>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'GRO','A');}else{echo read_activity($aid,'GRO','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>    

<?php include('../layout/quick.php');?>    
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function () {  
var name = new LiveValidation('name');
name.add(Validate.Presence);
var clsid = new LiveValidation('clsid');
clsid.add(Validate.Presence);    
});
</script>    
<!-- /page script -->
</html>